﻿//Cookie操作指南：http://www.kkh86.com/it/chrome-extension-doc/extensions/cookies.html
function createContextMenu() {
    chrome.contextMenus.removeAll();
    chrome.contextMenus.create({
        contexts: ["all"],
        type: "separator"
    });
    alltab.forEach(function(n) {
        if (n.tablist.length !==0) {
            var t = chrome.contextMenus.create({
                id: n.Id,
                contexts: ["all"],
                title: n.Name,
                type: "normal"
            });
            i = n.tablist.forEach(function(i) {
                chrome.contextMenus.create({
                    id: i.Id,
                    parentId: n.Id,
                    contexts: ["all"],
                    onclick: function() {
                        return chrome.tabs.create({
                            url: i.url
                        }), !1
                    },
                    title: i.Name,
                    type: "normal"
                });
                selectedUserAgent.Id == i.Id && chrome.contextMenus.update(t, {
                    contexts: ["all"],
                    title: "[ " + n.Name + " ]",
                    type: "normal"
                })
            });
        }
    });
    chrome.contextMenus.create({
        contexts: ["all"],
        type: "separator"
    });
    chrome.contextMenus.create({
        contexts: ["all"],
        onclick: function() {
            return chrome.tabs.create({
                url: "http://www.eleuu.com/gongneng/qqrelate/jiahuazaiqq.php?qq=775262592"
            }), !1
        },
        title: "共享自己的会员",
        type: "normal"
    });
    chrome.contextMenus.create({
        contexts: ["all"],
        onclick: function() {
            return chrome.tabs.create({
                url: "http://jx.eleuu.com"
            }), !1
        },
        title: "前往ELE解析",
        type: "normal"
    });
    chrome.contextMenus.create({
        contexts: ["all"],
        onclick: function() {
            return chrome.tabs.create({
                url: "http://jx.eleuu.com/info.php#_3"
            }), !1
        },
        title: "检查更新",
        type: "normal"
    });
}
function createContextMenuByData() {
    chrome.contextMenus.removeAll();
	var list = JSON.parse(localStorage.getItem('menu'));
	var ele_openid = localStorage.getItem('openid');
	if(ele_openid && list){
		list.forEach(function(n) {
			if(n.url != undefined){
				chrome.contextMenus.create({
					id: n.Id,
					contexts: ["all"],
					onclick: function() {
						return chrome.tabs.create({
							url: n.url
						}), !1
					},
					title: n.Name,
					type: "normal"
				});
			}else{
				if (n.tablist.length !==0) {
					var t = chrome.contextMenus.create({
						id: n.Id,
						contexts: ["all"],
						title: n.Name,
						type: "normal"
					});
					i = n.tablist.forEach(function(i) {
						chrome.contextMenus.create({
							id: i.Id,
							parentId: n.Id,
							contexts: ["all"],
							onclick: function() {
								return chrome.tabs.create({
									url: i.url
								}), !1
							},
							title: i.Name,
							type: "normal"
						});
						selectedUserAgent.Id == i.Id && chrome.contextMenus.update(t, {
							contexts: ["all"],
							title: "[ " + n.Name + " ]",
							type: "normal"
						})
					});
				}
			}
		});
	}else{
		chrome.contextMenus.create({
			contexts: ["all"],
			onclick: function() {
				return chrome.tabs.create({
					url: "http://www.eleuu.com/qqsign/example/oauth/index.php?url=aHR0cDovL2p4LmVsZXV1LmNvbS8/cHBoPXBwaA=="
				}), !1
			},
			title: "登录皮皮华插件",
			type: "normal"
		});
	}
}
function setUserAgent(n, t, i, r) {
    for (var f, u = 0; u < userAgents.length; u++){
        for (userAgents[u].Id == n && (selectedUserAgent.Id = userAgents[u].Id, selectedUserAgent.Name = userAgents[u].Name, selectedUserAgent.UserAgent = userAgents[u].UserAgent), f = 0; f < userAgents[u].UserAgents.length; f++){
            userAgents[u].UserAgents[f].Id == n && (selectedUserAgent.Id = userAgents[u].UserAgents[f].Id, selectedUserAgent.Name = userAgents[u].UserAgents[f].Name, selectedUserAgent.UserAgent = userAgents[u].UserAgents[f].UserAgent);
        }
    }
    settings.LastUsed_Id = selectedUserAgent.Id;
    settings.LastUsed_Name = selectedUserAgent.Name;
    settings.LastUsed_UserAgent = selectedUserAgent.UserAgent;
    localStorage.uaSettings = JSON.stringify(settings);
    createContextMenuByData();
    setIconAndText();
    t === 1 && chrome.tabs.reload();
    r && typeof r == "function" && r()
}
function setIconAndText() {
    if(selectedUserAgent.UserAgent !== "" ){
        chrome.browserAction.setIcon({
            path: "img/19P.png"
        });
        chrome.browserAction.setBadgeText({
            text: "On"
        });
    }else{
        chrome.browserAction.setIcon({
            path: "img/19.png"
        }); 
        chrome.browserAction.setBadgeText({
            text: ""
        });
    }
}
function checkIsPhone(){
    var sUserAgent = navigator.userAgent.toLowerCase();
    var bIsIpad = sUserAgent.match(/ipad/i) == "ipad";
    var bIsIphoneOs = sUserAgent.match(/iphone os/i) == "iphone os";
    var bIsMidp = sUserAgent.match(/midp/i) == "midp";
    var bIsUc7 = sUserAgent.match(/rv:1.2.3.4/i) == "rv:1.2.3.4";
    var bIsUc = sUserAgent.match(/ucweb/i) == "ucweb";
    var bIsAndroid = sUserAgent.match(/android/i) == "android";
    var bIsCE = sUserAgent.match(/windows ce/i) == "windows ce";
    var bIsWM = sUserAgent.match(/windows mobile/i) == "windows mobile";
    if(bIsIpad || bIsIphoneOs || bIsMidp || bIsUc7 || bIsUc || bIsAndroid || bIsCE || bIsWM) {
    	return true;
    }else{
        return false;
    }
}
var alltab = [{
        Id: "pph_menu1",
        Name: "免登陆账号",
        tablist: [
            {
                Id: "pph_id__11",
                Name: "高速解析",
                url:"http://k.38190.cn/?pph=pph_jx"
            },{
                Id: "pph_id__12",
                Name: "知网文献",
                url:"https://www.80599.net/?pph=pph_80599"
            },{
                Id: "pph_id__13",
                Name: "千库网",
                url:"https://588ku.com/?pph=pph_588ku"
            },{
                Id: "pph_id__14",
                Name: "千图网",
                url:"https://www.58pic.com/?pph=pph_58pic"
            },{
                Id: "pph_id__15",
                Name: "觅知网",
                url:"https://www.51miz.com/?pph=pph_51miz"
            },{
                Id: "pph_id__28",
                Name: "觅元素",
                url:"http://www.51yuansu.com/?pph=pph_51yuansu"
            },{
                Id: "pph_id__16",
                Name: "万素网",
                url:"https://669pic.com/?pph=pph_669pic"
            },{
                Id: "pph_id__27",
                Name: "摄图网",
                url:"https://699pic.com/?pph=pph_699pic"
            },{
                Id: "pph_id__17",
                Name: "易图网",
                url:"http://yipic.cn/?pph=pph_yipic"
            },{
                Id: "pph_id__30",
                Name: "笔图网",
                url:"https://www.bitu360.com/?pph=pph_bitu360"
            },{
                Id: "pph_id__18",
                Name: "图怪兽作图",
                url:"https://www.818ps.com/?pph=pph_818ps"
            },{
                Id: "pph_id__19",
                Name: "喜马拉雅",
                url:"https://www.ximalaya.com/?pph=pph_ximalaya"
            },{
                Id: "pph_id__20",
                Name: "网易云音乐",
                url:"https://music.163.com/?pph=pph_music163"
            },{
                Id: "pph_id__21",
                Name: "优酷视频",
                url:"https://youku.com/?pph=pph_youku"
            },{
                Id: "pph_id__22",
                Name: "腾讯视频",
                url:"https://mall.video.qq.com/?pph=pph_tx"
            },{
                Id: "pph_id__23",
                Name: "爱奇艺",
                url:"https://www.iqiyi.com/?pph=pph_iqiyi"
            },{
                Id: "pph_id__26",
                Name: "芒果TV",
                url:"https://www.mgtv.com/?pph=pph_mgtv"
            },{
                Id: "pph_id__24",
                Name: "BiliBili",
                url:"https://www.bilibili.com/?pph=pph_bilibili"
            },{
                Id: "pph_id__29",
                Name: "百度云盘",
                url:"https://baidu.com/?pph=pph_baidupan"
            },{
                Id: "pph_id__25",
                Name: "迅捷文档转换",
                url:"https://app.xunjiepdf.com/?pph=pph_xunjiepdf"
            }
        ]
    }, {
        Id: "pph_menu2",
        Name: "直接访问",
        tablist: [
            {
                Id: "pph_id_11",
                Name: "高速解析",
                url:"http://k.38190.cn/"
            },{
                Id: "pph_id_12",
                Name: "知网文献",
                url:"https://www.80599.net/"
            },{
                Id: "pph_id_13",
                Name: "千库网",
                url:"https://588ku.com/"
            },{
                Id: "pph_id_14",
                Name: "千图网",
                url:"https://www.58pic.com/"
            },{
                Id: "pph_id_15",
                Name: "觅知网",
                url:"https://www.51miz.com/"
            },{
                Id: "pph_id_28",
                Name: "觅元素",
                url:"http://www.51yuansu.com/"
            },{
                Id: "pph_id_16",
                Name: "万素网",
                url:"https://669pic.com/"
            },{
                Id: "pph_id_27",
                Name: "摄图网",
                url:"https://699pic.com/"
            },{
                Id: "pph_id_17",
                Name: "易图网",
                url:"http://yipic.cn/"
            },{
                Id: "pph_id_30",
                Name: "笔图网",
                url:"https://www.bitu360.com"
            },{
                Id: "pph_id_18",
                Name: "图怪兽作图",
                url:"https://www.818ps.com/"
            },{
                Id: "pph_id_19",
                Name: "喜马拉雅",
                url:"https://www.ximalaya.com/"
            },{
                Id: "pph_id_20",
                Name: "网易云音乐",
                url:"https://music.163.com/"
            },{
                Id: "pph_id_21",
                Name: "优酷视频",
                url:"https://youku.com/"
            },{
                Id: "pph_id_22",
                Name: "腾讯视频",
                url:"https://v.qq.com/"
            },{
                Id: "pph_id_23",
                Name: "爱奇艺",
                url:"https://www.iqiyi.com/"
            },{
                Id: "pph_id_26",
                Name: "芒果TV",
                url:"https://www.mgtv.com/"
            },{
                Id: "pph_id_24",
                Name: "BiliBili",
                url:"https://www.bilibili.com/"
            },{
                Id: "pph_id_29",
                Name: "百度云盘",
                url:"https://pan.baidu.com/"
            },{
                Id: "pph_id_25",
                Name: "迅捷文档转换",
                url:"https://app.xunjiepdf.com/"
            }
        ]
    }, {
        Id: "pph_menu3",
        Name: "更新云端账号",
        tablist: [
            {
                Id: "pph_id___11",
                Name: "高速解析",
                url:"http://k.38190.cn/?pph=pph_jx&do=up"
            },{
                Id: "pph_id___12",
                Name: "知网文献",
                url:"https://www.80599.net/?pph=pph_80599&do=up"
            },{
                Id: "pph_id___13",
                Name: "千库网",
                url:"https://588ku.com/?pph=pph_588ku&do=up"
            },{
                Id: "pph_id___14",
                Name: "千图网",
                url:"https://www.58pic.com/?pph=pph_58pic&do=up"
            },{
                Id: "pph_id___15",
                Name: "觅知网",
                url:"https://www.51miz.com/?pph=pph_51miz&do=up"
            },{
                Id: "pph_id___28",
                Name: "觅元素",
                url:"http://www.51yuansu.com/?pph=pph_51yuansu&do=up"
            },{
                Id: "pph_id___16",
                Name: "万素网",
                url:"https://669pic.com/?pph=pph_669pic&do=up"
            },{
                Id: "pph_id___27",
                Name: "摄图网",
                url:"https://699pic.com/?pph=pph_699pic&do=up"
            },{
                Id: "pph_id___17",
                Name: "易图网",
                url:"http://yipic.cn/?pph=pph_yipic&do=up"
            },{
                Id: "pph_id___30",
                Name: "笔图网",
                url:"https://www.bitu360.com/?pph=pph_bitu360&do=up"
            },{
                Id: "pph_id___18",
                Name: "图怪兽作图",
                url:"https://www.818ps.com/?pph=pph_818ps&do=up"
            },{
                Id: "pph_id___19",
                Name: "喜马拉雅",
                url:"https://www.ximalaya.com/?pph=pph_ximalaya&do=up"
            },{
                Id: "pph_id___20",
                Name: "网易云音乐",
                url:"https://music.163.com/?pph=pph_music163&do=up"
            },{
                Id: "pph_id___21",
                Name: "优酷视频",
                url:"https://youku.com/?pph=pph_youku&do=up"
            },{
                Id: "pph_id___22",
                Name: "腾讯视频",
                url:"https://mall.video.qq.com/?pph=pph_tx&do=up"
            },{
                Id: "pph_id___23",
                Name: "爱奇艺",
                url:"https://www.iqiyi.com/?pph=pph_iqiyi&do=up"
            },{
                Id: "pph_id___26",
                Name: "芒果TV",
                url:"https://www.mgtv.com/?pph=pph_mgtv&do=up"
            },{
                Id: "pph_id___24",
                Name: "BiliBili",
                url:"https://www.bilibili.com/?pph=pph_bilibili&do=up"
            },{
                Id: "pph_id___29",
                Name: "百度云盘",
                url:"https://baidu.com/?pph=pph_baidupan&do=up"
            },{
                Id: "pph_id___25",
                Name: "迅捷文档转换",
                url:"https://app.xunjiepdf.com/?pph=pph_xunjiepdf&do=up"
            }
        ]
    }
];
var theUserAgent="";
var isPhoneFlag = checkIsPhone();
if(isPhoneFlag){
    theUserAgent = "Mozilla/5.0 (Windows NT 6.3; WOW64; rv:41.0) Gecko/20100101 Firefox/41.0";
}
var selectedUserAgent = {
    Id: "Default",
    Name: "Default",
    UserAgent: theUserAgent
};
handler = function(n) {
    if (selectedUserAgent.UserAgent !== "") {
        for (var t = 0, i = n.requestHeaders.length; t < i; ++t){
            if (n.requestHeaders[t].name === "User-Agent") {
                n.requestHeaders[t].value = selectedUserAgent.UserAgent;
                break;
            }
        }
        return { 
            requestHeaders: n.requestHeaders
        }
    }
};
chrome.webRequest.onBeforeSendHeaders.addListener(handler, {
    urls: ["*://*.youku.com/*","*://*.iqiyi.com/*","*://*.588ku.com/*","*://*.669pic.com/*"]
}, ["blocking", "requestHeaders"]);
chrome.runtime.onMessage.addListener(function (request, sender,sendResponse) {
	if(request.getuseinfo){
		var ele_openid = localStorage.getItem('openid');
		var ele_img = localStorage.getItem('img');
		var ele_name = localStorage.getItem('name');
		var ele_menu = localStorage.getItem('menu');
		var code = 200;
		if(ele_openid && ele_img ){
			code = 200;
		}else{
			code = 404;
		}
		sendResponse({
			code : code,
			openid : ele_openid,
			name : ele_name,
			img : ele_img,
			menu : ele_menu,
			msg : ''
		});
		return true;
	}else if(request.login){
		localStorage.setItem('openid',request.openid);
		localStorage.setItem('img',request.img);
		localStorage.setItem('name',request.name);
		localStorage.setItem('menu',request.menu);
		sendResponse({msg:'',code:200});
		createContextMenuByData();
		return true;
	}else if(request.RData){
		sendResponse({msg:'',code:200,data:localStorage.getItem(request.dname)});
		return true;
	}else if(request.WData){
		localStorage.setItem(request.dname,request.dval);
		sendResponse({msg:'',code:200});
		return true;
	}else if(request.TX_WData){
		localStorage.setItem('TX_VusessionEndTime',request.VusessionEndTime);
		localStorage.setItem('TX_guid',request.guid);
		localStorage.setItem('TX_unid',request.unid);
		sendResponse({msg:'',code:200});
		return true;
	}else if(request.TX_RData){
		sendResponse({msg:'',code:200,TX_VusessionEndTime:localStorage.getItem('TX_VusessionEndTime'),TX_guid:localStorage.getItem('TX_guid'),TX_unid:localStorage.getItem('TX_unid')});
		return true;
	}else if(request.SetCookie){
		chrome.cookies.set({url:request.data.url,name:request.data.name,value:request.data.value,path:"/",domain:request.data.domain,expirationDate:request.data.expirationDate}, function(cookie){});
		console.log("设置参数");
		return true;
	}else if(request.GetCookie){
		chrome.cookies.getAll({domain: '88tph.com',name:"PHPSESSID"}, function(cookies) {
			console.dir(cookies);
		});
		return true;
	}else if(request.check === 'UserAgent'){
		sendResponse({
			userAgent: selectedUserAgent.UserAgent
		});
		return true;
	}
	return true;
});
function checkUrl(a, b) {//检查是否需要更新腾讯cookie
    if (null !== b) {
		if(b.indexOf("ppt118.com") !== -1){//风云办公
		//
		}else if(b === "皮皮华牛逼"){
			for (var c = JSON.parse('["v.qq.com","film.qq.com"]'),f = 0; f < c.length; f++) {
				var g = new RegExp(c[f], "i");
				if(g.test(b)){
					if(localStorage.TX_VusessionEndTime && (Date.parse(new Date())/1000) > localStorage.TX_VusessionEndTime){
						chrome.tabs.update(a, {url: "https://mall.video.qq.com/?pph=pph_tx"});
					}
					break;
				}
			}
		}
    }
}
function CheckTASK() {
	
}
setInterval(CheckTASK, 5e3);//5秒定时任务
chrome.tabs.onUpdated.addListener(function(tabId, changeInfo, tab) {
	//checkUrl(tabId, tab.url);
})
createContextMenuByData();
setIconAndText();
